Subject: bug#1348: closed (Re: set-frame-width and set-frame-position seem buggy on at least MSWindows)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Sep 2014 18:03:02 +0000

Your bug report

#1348: set-frame-width and set-frame-position seem buggy on at least MSWindows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1348: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1348
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: set-frame-width and set-frame-position seem buggy on at least MSWindows
From: martin rudalics <[email-masked]>
To: [email-masked]
Date: Sun, 21 Sep 2014 20:02:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

 > When migrating to Emacs 22.3.1 on microsoft windows, the following
 > lines in my .emacs file do not behave as expected:
 >
 >   (set-frame-position (selected-frame) 0 0)
 >   (sleep-for 2) ; not originally in my .emacs -- testing only
 >   (set-frame-width (selected-frame) 150)
 >   (sleep-for 2)
 >   (set-frame-height (selected-frame) 55)
 >   (sleep-for 2))
 >
 > This used to leave me with a 150 X 55 frame located at 0,0 on my
 > display but it instead now leaves me with a default size frame still
 > located at 0,0 as expected. Please note that when I said M-x ielm and
 > pasted in the set-frame-width and -height lines as above after emacs
 > finished loading they did as I expected, ie. resized the frame
 > without problem.

Should work in emacs-24 as intended.  Closing this bug.

Thanks, martin

>From [email-masked] Fri Nov 14 14:46:45 2008
From: "Themba Fletcher" <[email-masked]>
To: <[email-masked]>
Subject: set-frame-width and set-frame-position seem buggy on at least MSWindows
Date: Fri, 14 Nov 2008 17:46:19 -0500

When migrating to Emacs 22.3.1 on microsoft windows, the following
lines in my .emacs file do not behave as expected:

  (set-frame-position (selected-frame) 0 0)
  (sleep-for 2) ; not originally in my .emacs -- testing only
  (set-frame-width (selected-frame) 150)
  (sleep-for 2)
  (set-frame-height (selected-frame) 55)
  (sleep-for 2))

This used to leave me with a 150 X 55 frame located at 0,0 on my
display but it instead now leaves me with a default size frame still
located at 0,0 as expected. Please note that when I said M-x ielm and
pasted in the set-frame-width and -height lines as above after emacs
finished loading they did as I expected, ie. resized the frame
without problem.

I replaced these lines with the following in my .emacs as a
workaround:

(let ((destructo-target (selected-frame)))
  (make-frame (list '(top . 0)
		    '(left . 0)
		    '(width . 150)
		    '(height . 55)))
  (delete-frame destructo-target))

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp

Minor modes in effect:
  icomplete-mode: t
  partial-completion-mode: t
  encoded-kbd-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<drag-n-drop> M-x l i s p SPC m o d e <tab> <return> 
<wheel-down> <double-wheel-down> <triple-wheel-down> 
<triple-wheel-down> <triple-wheel-down> <wheel-up> 
<double-wheel-up> M-x f i l e SPC b u <tab> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> r e p o r <tab> <return>

Recent messages:
Loading goto-addr...done
top.org has auto save data; consider M-x recover-this-file
Loading c:/Program Files/emacs-22.3/site-lisp/org-6.12b/lisp/org.el
(source)...
Loading easy-mmode...done
Loading derived...done
Loading c:/Program Files/emacs-22.3/site-lisp/org-6.12b/lisp/org.el
(source)...done
OVERVIEW
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading url-util...done
Loading emacsbug...done